curl --request POST \
--url https://api.withorb.com/v1/customers/{customer_id}/credits/top_ups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"threshold": "<string>",
"amount": "<string>",
"per_unit_cost_basis": "<string>",
"invoice_settings": {
"auto_collection": true,
"net_terms": 123,
"memo": "<string>",
"require_successful_payment": false
},
"expires_after": 123,
"expires_after_unit": "day",
"active_from": "2023-11-07T05:31:56Z"
}
'{
"id": "<string>",
"currency": "<string>",
"threshold": "<string>",
"amount": "<string>",
"per_unit_cost_basis": "<string>",
"invoice_settings": {
"auto_collection": true,
"net_terms": 123,
"memo": "<string>",
"require_successful_payment": false
},
"expires_after": 123,
"expires_after_unit": "day"
}This endpoint allows you to create a new top-up for a specified customer’s balance. While this top-up is active, the customer’s balance will added in increments of the specified amount whenever the balance reaches the specified threshold.
If a top-up already exists for this customer in the same currency, the existing top-up will be replaced.
curl --request POST \
--url https://api.withorb.com/v1/customers/{customer_id}/credits/top_ups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"threshold": "<string>",
"amount": "<string>",
"per_unit_cost_basis": "<string>",
"invoice_settings": {
"auto_collection": true,
"net_terms": 123,
"memo": "<string>",
"require_successful_payment": false
},
"expires_after": 123,
"expires_after_unit": "day",
"active_from": "2023-11-07T05:31:56Z"
}
'{
"id": "<string>",
"currency": "<string>",
"threshold": "<string>",
"amount": "<string>",
"per_unit_cost_basis": "<string>",
"invoice_settings": {
"auto_collection": true,
"net_terms": 123,
"memo": "<string>",
"require_successful_payment": false
},
"expires_after": 123,
"expires_after_unit": "day"
}Documentation Index
Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
Use this file to discover all available pages before exploring further.
API Keys can be issued in the Orb's web application.
The currency or custom pricing unit to use for this top-up. If this is a real-world currency, it must match the customer's invoicing currency.
The threshold at which to trigger the top-up. If the balance is at or below this threshold, the top-up will be triggered.
The amount to increment when the threshold is reached.
How much, in the customer's currency, to charge for each unit.
Settings for invoices generated by triggered top-ups.
Show child attributes
The number of days or months after which the top-up expires. If unspecified, it does not expire.
The unit of expires_after.
day, month The date from which the top-up is active. If unspecified, the top-up is active immediately. This should not be more than 10 days in the past.
Created
The currency or custom pricing unit to use for this top-up. If this is a real-world currency, it must match the customer's invoicing currency.
The threshold at which to trigger the top-up. If the balance is at or below this threshold, the top-up will be triggered.
The amount to increment when the threshold is reached.
How much, in the customer's currency, to charge for each unit.
Settings for invoices generated by triggered top-ups.
Show child attributes
The number of days or months after which the top-up expires. If unspecified, it does not expire.
The unit of expires_after.
day, month Was this page helpful?